summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-08-31 12:01:05 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-08-31 12:01:05 +0100
commit5b7f6475da27c05b30659a00ecb49636aca2bece (patch)
treef67500afbab4acebaa18739efa57f79c7ee620b3 /eclass
parent2e8abb8c82f14dd064991a1afd337b2f022b37f6 (diff)
gentoo auto-resync : 31:08:2024 - 12:01:05
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39877 -> 39876 bytes
-rw-r--r--eclass/kernel-build.eclass8
-rw-r--r--eclass/llvm.org.eclass3
3 files changed, 9 insertions, 2 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 18c1ec373c08..3610d40d7b61 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/kernel-build.eclass b/eclass/kernel-build.eclass
index be02920162f4..10fd0cca2cc5 100644
--- a/eclass/kernel-build.eclass
+++ b/eclass/kernel-build.eclass
@@ -47,6 +47,7 @@ BDEPEND="
${PYTHON_DEPS}
app-alternatives/cpio
app-alternatives/bc
+ dev-lang/perl
sys-devel/bison
sys-devel/flex
virtual/libelf
@@ -243,7 +244,7 @@ kernel-build_src_configure() {
MAKEARGS+=( KBZIP2="lbzip2" )
fi
- [[ -f .config ]] || die "Ebuild error: please copy default config into .config"
+ [[ -f .config ]] || die "Ebuild error: No .config, kernel-build_merge_configs was not called."
if [[ -z "${KV_LOCALVERSION}" ]]; then
KV_LOCALVERSION=$(sed -n -e 's#^CONFIG_LOCALVERSION="\(.*\)"$#\1#p' \
@@ -602,10 +603,13 @@ kernel-build_pkg_postinst() {
# 3. Config saved via USE=savedconfig (if applicable).
# 4. Module signing key specified via MODULES_SIGN_KEY* variables.
# 5. User-supplied configs from ${BROOT}/etc/kernel/config.d/*.config.
+#
+# This function must be called by the ebuild in the src_prepare phase.
kernel-build_merge_configs() {
debug-print-function ${FUNCNAME} "${@}"
- [[ -f .config ]] || die "${FUNCNAME}: .config does not exist"
+ [[ -f .config ]] ||
+ die "${FUNCNAME}: No .config, please copy default config into .config"
has .config "${@}" &&
die "${FUNCNAME}: do not specify .config as parameter"
diff --git a/eclass/llvm.org.eclass b/eclass/llvm.org.eclass
index b3a22634f2e1..da943081b9bf 100644
--- a/eclass/llvm.org.eclass
+++ b/eclass/llvm.org.eclass
@@ -72,6 +72,9 @@ if [[ -z ${_LLVM_SOURCE_TYPE+1} ]]; then
_LLVM_SOURCE_TYPE=snapshot
case ${PV} in
+ 20.0.0_pre20240830)
+ EGIT_COMMIT=5500e21942f7047344b6fee62d3e08c0ba2f9182
+ ;;
20.0.0_pre20240822)
EGIT_COMMIT=503907dc505db1e439e7061113bf84dd105f2e35
;;